| OpenGLRaw-1.1.0.1: A raw binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.Raw.ARB.GeometryShader4

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Contents

Functions
Tokens

Description
All raw functions and tokens from the ARB_geometry_shader4 extension, see http://www.opengl.org/registry/specs/ARB/geometry_shader4.txt.
Synopsis

glProgramParameteri :: GLuint -> GLenum -> GLint -> IO ()
glFramebufferTexture :: GLenum -> GLenum -> GLuint -> GLint -> IO ()
glFramebufferTextureLayer :: GLenum -> GLenum -> GLuint -> GLint -> GLint -> IO ()
glFramebufferTextureFace :: GLenum -> GLenum -> GLuint -> GLint -> GLenum -> IO ()
gl_GEOMETRY_SHADER :: GLenum
gl_GEOMETRY_VERTICES_OUT :: GLenum
gl_GEOMETRY_INPUT_TYPE :: GLenum
gl_GEOMETRY_OUTPUT_TYPE :: GLenum
gl_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS :: GLenum
gl_MAX_GEOMETRY_VARYING_COMPONENTS :: GLenum
gl_MAX_VERTEX_VARYING_COMPONENTS :: GLenum
gl_MAX_VARYING_COMPONENTS :: GLenum
gl_MAX_GEOMETRY_UNIFORM_COMPONENTS :: GLenum
gl_MAX_GEOMETRY_OUTPUT_VERTICES :: GLenum
gl_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS :: GLenum
gl_LINES_ADJACENCY :: GLenum
gl_LINE_STRIP_ADJACENCY :: GLenum
gl_TRIANGLES_ADJACENCY :: GLenum
gl_TRIANGLE_STRIP_ADJACENCY :: GLenum
gl_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS :: GLenum
gl_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT :: GLenum
gl_FRAMEBUFFER_ATTACHMENT_LAYERED :: GLenum
gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER :: GLenum
gl_PROGRAM_POINT_SIZE :: GLenum

Functions

glProgramParameteri :: GLuint -> GLenum -> GLint -> IO () | Source

glFramebufferTexture :: GLenum -> GLenum -> GLuint -> GLint -> IO () | Source

glFramebufferTextureLayer :: GLenum -> GLenum -> GLuint -> GLint -> GLint -> IO () | Source

glFramebufferTextureFace :: GLenum -> GLenum -> GLuint -> GLint -> GLenum -> IO () | Source

Tokens

gl_GEOMETRY_SHADER :: GLenum | Source

gl_GEOMETRY_VERTICES_OUT :: GLenum | Source

gl_GEOMETRY_INPUT_TYPE :: GLenum | Source

gl_GEOMETRY_OUTPUT_TYPE :: GLenum | Source

gl_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS :: GLenum | Source

gl_MAX_GEOMETRY_VARYING_COMPONENTS :: GLenum | Source

gl_MAX_VERTEX_VARYING_COMPONENTS :: GLenum | Source

gl_MAX_VARYING_COMPONENTS :: GLenum | Source

gl_MAX_GEOMETRY_UNIFORM_COMPONENTS :: GLenum | Source

gl_MAX_GEOMETRY_OUTPUT_VERTICES :: GLenum | Source

gl_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS :: GLenum | Source

gl_LINES_ADJACENCY :: GLenum | Source

gl_LINE_STRIP_ADJACENCY :: GLenum | Source

gl_TRIANGLES_ADJACENCY :: GLenum | Source

gl_TRIANGLE_STRIP_ADJACENCY :: GLenum | Source

gl_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS :: GLenum | Source

gl_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT :: GLenum | Source

gl_FRAMEBUFFER_ATTACHMENT_LAYERED :: GLenum | Source

gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER :: GLenum | Source

gl_PROGRAM_POINT_SIZE :: GLenum | Source

Produced by Haddock version 2.4.2